/*  libfreenet
 *  Copyright 2001 Steven Hazel <sah@thalassocracy.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef __FN_STATUS_H__
#define __FN_STATUS_H__

#define FNS_SUCCESS               1
#define FNS_INVALID_PORT          -1
#define FNS_INVALID_ADDY          -2
#define FNS_CONNECT_FAILED        -3
#define FNS_SOCKET_FAILED         -4
#define FNS_BIND_FAILED           -5
#define FNS_LISTEN_FAILED         -6
#define FNS_ACCEPT_FAILED         -7
#define FNS_WRITE_FAILED          -8
#define FNS_READ_FAILED           -9
#define FNS_MALLOC_FAILED         -10
#define FNS_INVALID_MPINT         -11
#define FNS_INVALID_DHK           -12
#define FNS_MHASH_FAILED          -13
#define FNS_HASH_TOO_SMALL        -14
#define FNS_MAKEKEY_FAILED        -15
#define FNS_CIPHERINIT_FAILED     -16
#define FNS_ENCRYPT_FAILED        -17
#define FNS_INVALID_REPLY         -18
#define FNS_INVALID_VERSION       -19
#define FNS_WRONG_ID              -20
#define FNS_RANDOM_ERROR          -21
#define FNS_OPEN_FAILED           -22
#define FNS_OVERREAD              -23
#define FNS_INVALID_REQUEST       -24
#define FNS_CONNECTION_GONE       -25
#define FNS_EOF                   -26
#define FNS_OVERWRITE             -27
#define FNS_INVALID_DATA          -28
#define FNS_UNEXPECTED_KEY_LENGTH -29
#define FNS_BAD_KEY               -30
#define FNS_ZERO_DATALEN          -31
#define FNS_TIMEOUT               -32
#define FNS_REQUEST_FAILED        -33
#define FNS_UNEXPECTED_MESSAGE    -34
#define FNS_BUFFER_TOO_SMALL      -35
#define FNS_INVALID_ENDTOEND      -36
#define FNS_INVALID_METADATA_LEN  -37
#define FNS_BN_FAILED             -38
#define FNS_DH_FAILED             -39
#define FNS_BAD_CTRL              -40
#define FNS_BAD_HASH              -41
#define FNS_INVALID_URI           -42
#define FNS_UNKNOWN_KEYTYPE       -43
#define FNS_INVALID_SEARCHKEY     -44
#define FNS_INVALID_ENCKEY        -45
#define FNS_DSA_FAILED            -46
#define FNS_INVALID_PRIVATE_KEY   -47
#define FNS_FSEEK_FAILED          -48
#define FNS_DATA_REPLY            -49
#define FNS_SVK_TOO_LARGE         -50
#define FNS_INVALID_SIG           -51
#define FNS_INVALID_PUBKEY        -52
#define FNS_INVALID_E2E           -53
#define FNS_UNKNOWN_MSG_TYPE      -54
#define FNS_BAD_TRAILING_FIELD    -55
#define FNS_NOT_A_REDIRECT        -56
#define FNS_INVALID_REDIRECT      -57
#define FNS_INVALID_64BIT_HEXLEN  -58
#define FNS_INVALID_HEX_CHAR      -59
#define FNS_FCNTL_FAILED          -60
#define FNS_ACCEPT_TIMEDOUT       -61
#define FNS_MKTIME_FAILED         -62
#define FNS_NOT_A_MAPFILE         -63
#define FNS_INVALID_MAPFILE       -64
#define FNS_DOCNAME_NOT_FOUND     -65
#define FNS_BAD_STREAM_DIRECTION  -66
#define FNS_CLOSE_FAILED          -67
#define FNS_NO_SUCH_FIELD         -68
#define FNS_FIELD_TOO_LONG        -69
#define FNS_MESSAGE_FINISHED      -70
#define FNS_LINE_TOO_LONG         -71

#endif /* __FN_STATUS_H__ */
